xcb_xv_put_image(3)

NAME
xcb_xv_put_image -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_void_cookie_t xcb_xv_put_image(xcb_connection_t *conn, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t id, int16_t src_x, int16_t src_y, uint16_t src_w, uint16_t src_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h, uint16_t width, uint16_t height, uint32_t data_len, const uint8_t *data);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

port
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

id  TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

src_w
    TODO: NOT YET DOCUMENTED.

src_h
    TODO: NOT YET DOCUMENTED.

drw_x
    TODO: NOT YET DOCUMENTED.

drw_y
    TODO: NOT YET DOCUMENTED.

drw_w
    TODO: NOT YET DOCUMENTED.

drw_h
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

data_len
    TODO: NOT YET DOCUMENTED.

data
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xv_put_image_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.